API Docs / Operations / Reports / Export Team Time Report

Export Team Time Report

GET /tenants/{tenant}/reports/team-time/csv

The per-member table as a CSV download, in hours - same filters as the report endpoint.

Parameters

NameTypeDescription
tenant* path string

The Tenant.Code

The Tenant.Code

dateRange query string

Preset date range for the time entry window (default ThisWeek). If CustomDateRange, startDate and endDate are required.

Preset date range for the time entry window (default ThisWeek). If CustomDateRange, startDate and endDate are required.

startDate query string

Entry window start (inclusive). Only valid when dateRange=CustomDateRange

Entry window start (inclusive). Only valid when dateRange=CustomDateRange

endDate query string

Entry window end (inclusive). Only valid when dateRange=CustomDateRange

Entry window end (inclusive). Only valid when dateRange=CustomDateRange

teamCode query string

Limit the rows to the members of one team

Limit the rows to the members of one team

categoryCode query string

Limit the figures to time logged against tasks in one task category

Limit the figures to time logged against tasks in one task category

Responses

200 OK
400 Bad Request
401 Unauthorized – Invalid or missing API key
403 Forbidden

Try it